#include <lua.h>
#include <lauxlib.h>
#include <windows.h>

static int lua_msgbox(lua_State* L)
{
    const char* message = luaL_checkstring(L, 1);
    const char* caption = luaL_optstring(L, 2, "");
    int result = MessageBox(NULL, message, caption, MB_YESNO);
    lua_pushnumber(L, result);

    return 1;
}
 
static const  luaL_Reg mylib[] =
{
    {"msgbox", lua_msgbox},
    {NULL, NULL}
};
 
int __declspec(dllexport) luaopen_dllforlua(lua_State* L)
{
    lua_register(L, "msgbox",  lua_msgbox);
    //luaL_register(L, "dllforlua", mylib);
    return 1;
}
 